[Cotlet](https://cotlet.dev/index.md) · [Integrations](https://cotlet.dev/integrations.md) · [How it works](https://cotlet.dev/how-it-works.md) · [Use cases](https://cotlet.dev/use-cases.md) · [Security](https://cotlet.dev/security.md) · [For developers](https://cotlet.dev/for-developers.md) · [For automation agencies](https://cotlet.dev/for-agencies.md) · [Blog](https://cotlet.dev/blog.md) · [API docs](https://cotlet.dev/docs.md) · [Help center](https://cotlet.dev/help.md) · [Changelog](https://cotlet.dev/changelog.md) · [Contact](https://cotlet.dev/contact.md) · [Pricing](https://cotlet.dev/pricing.md) · [Sign up](https://cotlet.dev/signup)

# Add candidates to hotlist

> Put candidates into a hotlist. Inputs, cURL, Python and Node.js examples and an example response.

Source: https://cotlet.dev/docs/api/jobdiva/add_candidates_to_hotlist

Docs sections: [Get started](https://cotlet.dev/docs.md) · [REST API](https://cotlet.dev/docs/api.md) · [MCP](https://cotlet.dev/docs/mcp.md) · [SDKs & CLI](https://cotlet.dev/docs/sdks.md) · [Integrations](https://cotlet.dev/docs/integrations.md)

Put candidates into a hotlist.

JobDiva API: https://cotlet.dev/docs/api/jobdiva.md

`POST https://cotlet.dev/api/v1/jobdiva/hotlists/{hotlist_id}/candidates-to-hotlists`

Access: write.

Adds the candidates in one call and returns how many are in the hotlist now. Reaches no one and is undone with remove_candidates_from_hotlist, so it does not wait for your OK.

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `hotlist_id` | integer | yes | Hotlist ID from list_hotlists or create_hotlist. |
| `candidate_ids` | integer[] | yes | Candidate IDs to add. |

## Request

**cURL**

```bash
curl -X POST https://cotlet.dev/api/v1/jobdiva/hotlists/88314/candidates-to-hotlists \
  -H "Authorization: Bearer $COTLET_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"candidate_ids":[5821904,5830117,5834402]}'
```

**Python**

```python
result = client.call("jobdiva", "add_candidates_to_hotlist", {"hotlist_id":88314,"candidate_ids":[5821904,5830117,5834402]})
```

**Node.js**

```js
const result = await cotlet.call('jobdiva', 'add_candidates_to_hotlist', {"hotlist_id":88314,"candidate_ids":[5821904,5830117,5834402]});
```

**CLI**

```bash
cotlet call jobdiva add_candidates_to_hotlist --data '{"hotlist_id":88314,"candidate_ids":[5821904,5830117,5834402]}'
```

## Example response

```json
{
  "hotlist_id": 88314,
  "added": 3,
  "hotlist_size": 3
}
```

Previous: [Create hotlist](https://cotlet.dev/docs/api/jobdiva/create_hotlist.md)
Next: [Remove candidates from hotlist](https://cotlet.dev/docs/api/jobdiva/remove_candidates_from_hotlist.md)

---

Give your AI agents your signed-in browser.

**Product:** [Integrations](https://cotlet.dev/integrations.md) · [Use cases](https://cotlet.dev/use-cases.md) · [How it works](https://cotlet.dev/how-it-works.md) · [Pricing](https://cotlet.dev/pricing.md) · [Security](https://cotlet.dev/security.md)

**Resources:** [Blog](https://cotlet.dev/blog.md) · [API docs](https://cotlet.dev/docs.md) · [Help center](https://cotlet.dev/help.md) · [Changelog](https://cotlet.dev/changelog.md) · [GitHub](https://github.com/cotletdev/cotlet)

**Solutions:** [For developers](https://cotlet.dev/for-developers.md) · [For automation agencies](https://cotlet.dev/for-agencies.md)

**Company:** [About](https://cotlet.dev/about.md) · [AI info: company facts](https://cotlet.dev/ai-info.md) · [Contact](https://cotlet.dev/contact.md)

**Legal:** [Terms of service](https://cotlet.dev/terms) · [Privacy policy](https://cotlet.dev/privacy) · [Refund policy](https://cotlet.dev/refunds) · [Acceptable use](https://cotlet.dev/acceptable-use) · [Cookie policy](https://cotlet.dev/cookies) · [DPA](https://cotlet.dev/dpa) · [Subprocessors](https://cotlet.dev/subprocessors)

**Elsewhere:** [Status page](https://status.cotlet.dev) · [Cotlet on GitHub](https://github.com/cotletdev) · [Cotlet on X](https://x.com/cotletdev) · [Cotlet on LinkedIn](https://www.linkedin.com/company/cotletdev) · [Cotlet on Product Hunt](https://www.producthunt.com/products/cotlet) · [Cotlet on Crunchbase](https://www.crunchbase.com/organization/cotlet) · [Cotlet on SaaSHub](https://www.saashub.com/cotlet)

Cotlet.dev is built by Bart Krawczyk and Jake Slugocki, the founders of Take Group sp. z o.o., ul. Wincentego Janasa 4, 40-855 Katowice, Poland. KRS 0000871398, NIP 6342984273, VAT EU: PL6342984273. [About us](https://cotlet.dev/about.md)

Cotlet is an independent service. It is not affiliated with, endorsed by or sponsored by any of the products listed on this site. Product names are trademarks of their respective owners.
